org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfParagraphKeepTogether

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfParagraphKeepTogether

    public class RtfParagraphKeepTogether
    extends RtfContainer

Models the keep together attributes of paragraphs

### Field Summary

Fields
`static int` `STATUS_CLOSE_PARAGRAPH` constant for close paragraph
`static int` `STATUS_NULL` constant for unset status
`static int` `STATUS_OPEN_PARAGRAPH` constant for open paragraph

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`void` `setStatus(int status)` set the status
`protected void` `writeRtfContent()` Write the content

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

`addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_NULL

    public static final int STATUS_NULL

constant for unset status

See Also:
  Constant Field Values

#### STATUS_OPEN_PARAGRAPH

    public static final int STATUS_OPEN_PARAGRAPH

constant for open paragraph

See Also:
  Constant Field Values

#### STATUS_CLOSE_PARAGRAPH

    public static final int STATUS_CLOSE_PARAGRAPH

constant for close paragraph

See Also:
  Constant Field Values

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

Write the content

Overrides:
  `writeRtfContent` in class `RtfContainer`
Throws:
  `IOException` - for I/O problems

#### setStatus

    public void setStatus(int status)

set the status

Parameters:
  `status` - the status to be set

#### isEmpty

    public boolean isEmpty()

Overrides:
  `isEmpty` in class `RtfContainer`
Returns:
  true if this element would generate no "useful" RTF content